// IRMotion.cpp : Defines the entry point for the console application.
//
// In this example, use keypad to control the motion:
// 2 - backward
// 8 - forward
// 5 - stop
// 4 - turn left
// 6 - turn right
//
// Caution: The robot will not stop unless you press '5'. So be careful
//
//
//
//

#include "stdafx.h"
#include "RCMotion.h"
#include <conio.h>

int _tmain(int argc, _TCHAR* argv[])
{
	RCMotion RCMDev;
	char cIRBuf[32];
	DWORD dwErr;

	dwErr=RCMDev.RCMInit("COM4");

	RCMDev.WheelInit();

	while ( (cIRBuf[0]=_getch()) != EOF ) {
		if ( cIRBuf[0] == 18 ) { break; };
		switch ( cIRBuf[0] ) {
			case '8':
				printf("Forward...\n");
				// set the robot forward with velocity to 0x0001F77E * 2 = 253952
				RCMDev.WheelSetVelocity(0x0001F000 * 2);
				// Commit the value to the processor
				RCMDev.WheelUpdate();
			break;
			case '5':
				printf("Stop...\n");
				// set the velocity to 0, i.e. stop
				RCMDev.WheelSetVelocity(0x0);
				// Commit the value to the processor
				RCMDev.WheelUpdate();
			break; 
			case '2':
				printf("Backward...\n");
				// set the robot backward with velocity to 0x0001F77E = 126976
				RCMDev.WheelSetVelocity(-0x0001F000);
				// Commit the value to the processor
				RCMDev.WheelUpdate();
			break;
			case '4':
				printf("Turn left...\n");
				// set the robot to turn left, +ve
				RCMDev.WheelSetTurn(0x0001F000);
				// Commit the value to the processor
				RCMDev.WheelUpdate();
			break;
			case '6':
				printf("Turn right...\n");
				// set the robot to turn right, -ve
				RCMDev.WheelSetTurn(-0x0001F000);
				// Commit the value to the processor
				RCMDev.WheelUpdate();
			break;
		}
	}

	RCMDev.WheelSetVelocity(0x0);
	RCMDev.WheelSetPower(0x0);

	return 0;
}

